Subject: libncurses-dev: Please package libncurses_g

From: Joe Pfeiffer <[email-masked]>
Date: Tue, 08 Oct 2019 09:23:07 -0600

Package: libncurses-dev
Version: 6.1+20190803-1
Severity: wishlist

I'm tracking down a bug in a program of mine, which is either a
regression in the current version of libncurses-dev or a bug in my
code which has been exposed by the current version.  It would be very
helpful to me to be able to use the trace() function, to see the
activity of the library.  This is documented as requiring a program to
be linked against libncurses_g (instead of libncurses); so far as I've
been able to find this library is not currently packaged, so I'll need
to rebuild from source.  I'd appreciate it if it could be packaged.

-- System Information:
Debian Release: bullseye/sid
  APT prefers testing
  APT policy: (700, 'testing'), (650, 'stable'), (600, 'unstable'), (550, 'experimental'), (500, 'oldstable')
Architecture: amd64 (x86_64)
Foreign Architectures: i386

Kernel: Linux 5.2.0-3-amd64 (SMP w/8 CPU cores)
Kernel taint flags: TAINT_OOT_MODULE, TAINT_UNSIGNED_MODULE
Locale: LANG=en_US.utf8, LC_CTYPE=en_US.utf8 (charmap=UTF-8), LANGUAGE=en_US.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash
Init: systemd (via /run/systemd/system)
LSM: AppArmor: enabled

Versions of packages libncurses-dev depends on:
ii  libc6-dev [libc-dev]  2.29-2
ii  libncurses6           6.1+20190803-1
ii  libncursesw6          6.1+20190803-1
ii  libtinfo6             6.1+20190803-1
ii  ncurses-bin           6.1+20190803-1

libncurses-dev recommends no packages.

Versions of packages libncurses-dev suggests:
ii  ncurses-doc  6.1+20190803-1

-- no debconf information